// -*- C++ -*-
/*
 * Simple gtkglextmm example using libglademm.
 *
 * written by Naofumi Yasufuku  <naofumi@users.sourceforge.net>
 * restructured and libglade support by Dirc Rose <rose@vis.uni-stuttgart.de>
 *
 */

#ifndef SIMPLE_GL_SCENE_H
#define SIMPLE_GL_SCENE_H

#include <iostream>
#include <cstdlib>

#include <libglademm/xml.h>

#include <gtkmm.h>
#include <gtkglmm.h>

#ifdef G_OS_WIN32
#define WIN32_LEAN_AND_MEAN 1
#include <windows.h>
#endif

class SimpleGLScene : public Gtk::DrawingArea,
                      public Gtk::GL::Widget
{
public:
  SimpleGLScene(BaseObjectType* cobject, const Glib::RefPtr<Gnome::Glade::Xml>& refGlade);
  virtual ~SimpleGLScene();

protected:
  virtual void			 on_realize();
  virtual bool			 on_configure_event(GdkEventConfigure* event);
  virtual bool			 on_expose_event(GdkEventExpose* event);

  Glib::RefPtr<Gnome::Glade::Xml> m_refGlade;
};

#endif

