// -*- C++ -*-
/*
 * Simple gtkglextmm example using libglademm.
 *
 * written by Naofumi Yasufuku  <naofumi@users.sourceforge.net>
 * restructured and libglade support by Dirc Rose <rose@vis.uni-stuttgart.de>
 *
 */

#ifndef SIMPLE_GL_WITH_GLADE_H
#define SIMPLE_GL_WITH_GLADE_H

#include <iostream>
#include <cstdlib>

#include <libglademm/xml.h>

#include <gtkmm.h>
#include <gtkglmm.h>

#ifdef G_OS_WIN32
#define WIN32_LEAN_AND_MEAN 1
#include <windows.h>
#endif

class SimpleGLScene;

class Simple : public Gtk::Window
{
public:
  Simple(BaseObjectType* cobject, const Glib::RefPtr<Gnome::Glade::Xml>& refGlade);
  virtual ~Simple();

protected:
  // signal handlers:
  virtual void				 on_button_quit_clicked();

protected:
  Glib::RefPtr<Gnome::Glade::Xml>	 m_refGlade;
  // member widgets:
  SimpleGLScene				*m_SimpleGLScene;
  Gtk::Button				*m_ButtonQuit;
};

#endif
